Bug 18171 - New fortune, Klingon programmers
Summary: New fortune, Klingon programmers
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: misc (show other bugs)
Version: 3.4-STABLE
Hardware: Any Any
: Normal Affects Only Me
Assignee: jkh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2000-04-23 00:30 UTC by Doug
Modified: 2000-06-13 01:26 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Doug 2000-04-23 00:30:00 UTC
	This is a submission for a new fortune. It's derived from the list
that's been making its way around the net for a while now. I wasn't sure
which file it should belong to, so I will leave that to the discretion of
whoever commits it.

Fix: 

Not a patch, re above. 


Top 10 things likely to be overheard if you had a Klingon Programmer

10) "Specifications are for the weak and timid!"
 9) "You question the worthiness of my code? I should kill you where you stand!"
 8) "Indentation?! - I will show you how to indent when I indent your skull!"
 7) "What is this talk of 'release'? Klingons do not make software 'releases'.
    Our software 'escapes' leaving a bloody trail of designers and quality
    assurance people in it's wake."
 6) "Klingon function calls do not have 'parameters' - they have 'arguments'
     - and they ALWAYS WIN THEM."
 5) "Debugging? Klingons do not debug. Our software does not coddle the weak."
 4) "A TRUE Klingon Warrior does not comment his code!"
 3) "Klingon software does NOT have BUGS. It has FEATURES that are too
    sophisticated for a Romulan pig like you to understand."
 2) "You cannot truly appreciate Dilbert unless you've read it in the
    original Klingon."
 1) "Our users will know fear and cower before our software! Ship it! Ship it
    and let them flee like the dogs they are!"
%
How-To-Repeat: 
	DNA
Comment 1 hoek freebsd_committer 2000-05-09 06:15:14 UTC
Responsible Changed
From-To: freebsd-bugs->jkh

I'm quite in favour of this fortune.  With permission, will commit. 
Comment 2 nrahlstr freebsd_committer 2000-06-13 01:24:59 UTC
State Changed
From-To: open->closed

A version of this fortune has been committed by hoek in revision 1.40 of 
games/fortune/datfiles/fortunes.